Bug 693450 - [RFE] Update to varnish 2.1.5
Summary: [RFE] Update to varnish 2.1.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: varnish
Version: el6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ingvar Hagelund
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-04 17:42 UTC by pada
Modified: 2011-04-19 16:56 UTC (History)
3 users (show)

Fixed In Version: varnish-2.1.5-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-19 16:56:34 UTC


Attachments (Terms of Use)

Description pada 2011-04-04 17:42:33 UTC
EPEL 6 still ships varnish 2.1.4, even though there is a build of the latest varnish stable release 2.1.5 available on koji:

http://koji.fedoraproject.org/koji/buildinfo?buildID=216847

Please update varnish in EPEL 6 to the latest stable release.
I can support you with testing under RHEL6 if you need help.

Regards,
Daniel

Comment 1 Fedora Update System 2011-04-04 20:40:23 UTC
varnish-2.1.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/varnish-2.1.5-1.el6

Comment 2 Ingvar Hagelund 2011-04-04 20:42:26 UTC
Daniel, seems I forgot to add the update in Bodhi. Thanks for the reminder.

Ingvar

Comment 3 Fedora Update System 2011-04-05 03:01:23 UTC
Package varnish-2.1.5-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing varnish-2.1.5-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/varnish-2.1.5-1.el6
then log in and leave karma (feedback).

Comment 4 David Robinson 2011-04-15 02:00:56 UTC
Can this be built and pushed to EPEL 5 too? I've built it locally from the EL6 SRPM (no changes made) and its working fine.

--Dave

Comment 5 Ingvar Hagelund 2011-04-15 07:07:59 UTC
* David Robinson
> Can this be built and pushed to EPEL 5 too? I've built it locally
> from the EL6 SRPM (no changes made) and its working fine.

It is always a goal for us to have the same SRPM for all Red Hat derivates. The SRPM should build on the latest Fedora versions and EPEL5 and 6. With a minor change, it also builds on EPEL4.

The reason that 2.1.x is not in EPEL5 is that because of a syntax change in VCL, there is no clean upgrade path from 2.0.x.

Easiest way out is probably to use Varnish Software's own yumrepo. It is compatible with EPEL5. See http://www.varnish-cache.org/installation/redhat

Ingvar

Comment 6 Fedora Update System 2011-04-19 16:56:29 UTC
varnish-2.1.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.